Bug 1706512 - Fedora 30 sometimes get frozen about 5 seconds
Summary: Fedora 30 sometimes get frozen about 5 seconds
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 30
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-05-05 07:16 UTC by Charles
Modified: 2020-05-26 15:10 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-26 15:10:47 UTC
Type: Bug


Attachments (Terms of Use)

Description Charles 2019-05-05 07:16:28 UTC
Description of problem:
Fedora 30 sometimes get frozen about 5 seconds when:
1) move cursor
2) or drop a video file to a running SMPlayer instance

I can see message '/usr/lib/gdm-x-session[11388]: nvLock: client timed out, taking the lock.' in the 'journalctl -f'.

Version-Release number of selected component (if applicable):
gnome-shell-3.32.1-1.fc30.x86_64

How reproducible:


Steps to Reproduce:
1.execute the below command
journalctl -f
2.Just move cursor or drop a video file to a running SMPlayer instance
3.Watch the output of 'journalctl -f' when Gnome desktop get frozen

Actual results:
Gnome desktop get frozen

Expected results:
Gnome works smoothly

Additional info:
Iā€™m using Nvidia driver. 

# rpm -qa | grep nvidia
kmod-nvidia-5.0.9-301.fc30.x86_64-418.56-2.fc30.x86_64
xorg-x11-drv-nvidia-libs-418.56-1.fc30.i686
xorg-x11-drv-nvidia-cuda-libs-418.56-1.fc30.x86_64
kmod-nvidia-5.0.10-300.fc30.x86_64-418.56-2.fc30.x86_64
xorg-x11-drv-nvidia-418.56-1.fc30.x86_64
kmod-nvidia-418.56-2.fc30.x86_64
nvidia-settings-418.56-1.fc30.x86_64
xorg-x11-drv-nvidia-kmodsrc-418.56-1.fc30.x86_64
akmod-nvidia-418.56-2.fc30.x86_64
xorg-x11-drv-nvidia-libs-418.56-1.fc30.x86_64

Comment 1 Charles 2019-05-06 02:07:21 UTC
I find that it get frozen for exactly 5 seconds before working normally. It's amazing. Maybe Nvidia driver is the root cause in this case.

Comment 2 Einer Petersen 2019-05-07 20:15:06 UTC
Hi Bugzilla :-)

Here is a bit more info for you:
1) In Fedora 29, no issues
2) Upgraded to Fedora 30 ---- issues begins as described by Charles
3) Desktop GUI/Interface/Environment that it seems to effect is Gnome 3.32
4) Random/Intermittently, the entire computer stalls for about 5 seconds, 100% CPU across all threads for the entire duration
   -- at the instant that control is regained, there is an error in /var/log/messages 
      May  3 11:49:42 msi /usr/libexec/gdm-x-session[19743]: nvLock: client timed out, taking the lock

5) all same nvidia drivers as Charles
6) Original Linux kernel command line options when issue observed/experienced
   -- kernelopts=root=UUID=fa49cb7d-7285-46d8-add2-3e2b691c1405 ro nouveau.modeset=0 rd.driver.blacklist=nouveau  nvidia-drm.modeset=1 resume=/dev/mapper/fedora-swap rd.lvm.lv=fedora/swap rhgb

7) Linux kernel command line options when issue seems to be reolved
   -- kernelopts=root=UUID=fa49cb7d-7285-46d8-add2-3e2b691c1405 ro nouveau.modeset=0 rd.driver.blacklist=nouveau  i915.modeset=1 nvidia-drm.modeset=0 resume=/dev/mapper/fedora-swap rd.lvm.lv=fedora/swap rhgb

My conclusions:
Either the Nvidia DRM kernel module is not quite ready for prime time OR Gnome 3.32 is using the driver incorrectly.
 -- and I am leaning more to the "Gnome 3.32" because in Gnome 3.31 I didn't have any observable issues with nvidia-drm.modeset=1


EIner

Comment 3 Charles 2019-05-08 15:54:38 UTC
Hi Einer,

As you said, I resole this issue by setting nouveau.modeset=0 to disable Nvidia DRM.

This comment help me: https://fedoramagazine.org/upgrading-fedora-29-to-fedora-30/#comment-484974

Comment 4 Charles 2019-05-08 15:59:19 UTC
Hi Einer,

But I still don't know you guys how to trace this issue back to Nvidia DRM. I'm just very very very curious.

Comment 5 Ben Cotton 2020-04-30 22:03:38 UTC
This message is a reminder that Fedora 30 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 30 on 2020-05-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '30'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 30 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 Ben Cotton 2020-05-26 15:10:47 UTC
Fedora 30 changed to end-of-life (EOL) status on 2020-05-26. Fedora 30 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.